- name: check if tailscale is installed
  shell: command -v tailscale
  register: tailscale_exists
  ignore_errors: yes

- name: download tailscale installer
  when: tailscale_exists is failed
  get_url:
    url: https://tailscale.com/install.sh
    dest: /tmp/tailscale.sh
    mode: '0755'
    force: 'yes'

- name: install tailscale
  when: tailscale_exists is failed
  shell: /tmp/tailscale.sh
